Skip to main content
GET
/
fleet
/
defects
/
history
[legacy] Get all defects
curl --request GET \
  --url https://api.samsara.com/fleet/defects/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "18",
      "isResolved": true,
      "comment": "Air Compressor not working",
      "createdAtTime": "2020-01-27T07:06:25Z",
      "defectType": "Air Compressor",
      "mechanicNotes": "Extremely large oddly shaped hole in passenger side window.",
      "mechanicNotesUpdatedAtTime": "2020-01-27T07:06:25Z",
      "resolvedAtTime": "2020-01-27T07:06:25Z",
      "resolvedBy": {
        "id": "11",
        "name": "Christopher 'The Handyman' Zhen",
        "type": "driver"
      },
      "trailer": {
        "id": "123456789",
        "name": "Midwest Trailer #5"
      },
      "vehicle": {
        "ExternalIds": {
          "maintenanceId": "250020",
          "payrollId": "ABFS18600"
        },
        "id": "123456789",
        "name": "Midwest Truck #4"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00). The maximum time period you can query for is 30 days.

endTime
string
required

An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00). The maximum time period you can query for is 30 days.

isResolved
boolean

A filter on the data based on resolution status. Example: isResolved=true

Response

List of all DVIR defects in the organization

A list of defects.

data
object[]
pagination
object

Pagination parameters.